% This is the french torture file for all formats.
%                           Copyright GUTenberg-Bernard Gaulle as in french.doc
%
% {} passer en 8 bits conform{}ment {} votre syst{}me
%
%%      checksum        = "22576 2627 11825 94342"
%%
% For better debugging:
\wlog{Formating \jobname\space with\space\frenchname\space(\frenchstyleid)}
%
\ifx\ProvidesFile\undefined\def\ProvidesFile#1[#2]{}\fi%
\ifx\undefined\FmsG\def\FmsG{}\def\SmsG{}\fi
%
{\catcode`\<=\active\catcode`\>=\active%
% Je veux :
%\global\def<{\left\langle}\global\def>{\right\rangle}
% Et pour ne pas pouvoir avoir l'effet que localement, 
% je fais : 
\gdef<{\myinf}\gdef>{\mysup}
}
\label{nulllabel}% null \label for AmSTeX test \ref within a \ref
\iflatex\makeindex \makeglossary 
        \csname frhyphex\endcsname% load (again) the exceptions, outside babel
        \def\NL#1{\Sauter#1Lignes} 
        \begin{document}
        \makeatletter
        \ifx\babel@savevariable\undefined%
                             \let\FRENCH\frenchTeXmods% 
                        \else\def\FRENCH{\selectlanguage{french}}% pour babel
        \fi%
        \makeatother
        \csname onecolumn\endcsname % avoid writting \onecolumn 
                                    % (special effect in frencht.tex)
        \renewcommand{\thepage}{\roman{page}}%
        \ifx\documentclass\undefined\else% for 2e
        % As 2e doesn't accept \verb in arguments:
        \gdef\myverb|#1|{%\nonfrench
                         \texttt{#1}%
                         %\endnonfrench
                         \relax}%
        \fi
\else
        \let\FRENCH\frenchTeXmods% 
        \def\NL#1{\par} 
\fi
\ifx\myverb\undefined\let\myverb=\verb\fi%
% global here is just req. for TeX--XeT tests.
\global\let\myinf\inferieura% A no-op def
\global\let\mysup\superieura% for a temporary action
%\setbox0\hbox{l'{\tt a}}% Denis B. Roegel pb due to unprotected chars in NFSS2
\ifx\undefined\english\let\english\relax\fi%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mes \ldots sont maintenant $\ldots$ a cause de AmSLaTeX V1.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ifx\charsubdef\undefined\else\ifx\accenthyphcodes\undefined 
   \typeout{-31- Something wrong\string! Are you sure to have installed}
   \typeout{-31- all the appropriate MlTeX hyphenation materials\string?}
\fi\fi
\def\HyphDiff#1#2{{\setbox0=\vbox{%
                   \pretolerance=-1 \hyphenpenalty=-10000
                   \hsize=0pt \leftskip=0pt \rightskip=0pt \parfillskip=0pt
                   \parindent=0pt \hfuzz=\maxdimen \interlinepenalty=0
                   \clubpenalty=0 \widowpenalty=0 \brokenpenalty=0
                       \hskip 0pt #1}%
                   \setbox2=\hbox{}%
                   \setbox9=\vbox{\unvbox 0 \loop \unskip \setbox1=\lastbox
                                            \ifhbox 1 
                                                 \global\setbox 2 = \hbox{%
                                            \unhbox 1 \discretionary{}{}{}%
                                                           \unhbox 2}%
                                            \repeat}%
\setbox3\hbox{#2}\ifnum\wd2=\wd3\else
\typeout{-31- Wrong French Hyphenation\string! 
               Are you sure to run with a format ***********}
\typeout{-31- in which the french patterns were 
                installed at initex time\string? ***********}
\ifECM\else%
\typeout{-32- if yes try to switch to T1 font 
             encoding (\noexpand\usepackage[T1]{fontenc})***}
\fi%
\showhyphens{#1}\typeout{(should be\string: #2) 
  \string<\string<======== *********************************}
\fi}}
\HyphDiff{{}ventualit{}}{{}ven-tua-lit{}}
\HyphDiff{d{}gazonnage}{d{}-ga-zon-nage}
\HyphDiff{chromosomique}{chro-mo-so-mique}
%%%%
\english% Title page is in english 
\title{\fbox{ French Style%
             \thanks{We are here in english, notice the problem when we use,
             like in {\tt frenchla}, a
             {\tt\backslash
               fnsymbol} in a box.}%
            }\\ \ \\%
             Version \frenchstyleid\\ \ \\
             ``Torture'' Test (\jobname) \\ with
             \ifx\encodingdefault\undefined Unknown
              \else\encodingdefault{}
             \fi Font Encoding\\\ }
  \author{Bernard {\sc Gaulle}%
          \thanks{Thanks to those good guys who helped me. 
                 This is also a test of {\tt\backslash refmark}.%
                  \label{title\protect:thanks}
                 }%
          \\ \\ et...\refmark{title:thanks}%
         }
\date{Printed on \today} 
\maketitle\setcounter{page}{2}\thispagestyle{empty}
\cleardoublepage\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\onecolumn
\sommaire[4]
\bigskip 
\begin{center}
\noindent\fbox{%
\begin{minipage}[t]{0.5\textwidth}
\begin{center} \fbox{\parbox{5cm}{{\bf Remarque} : \\ la commande
{\tt\backslash som\-maire}\label{pbverb}%
\footnote{Cette note a {}t{} demand{}e depuis une minipage.}%
\footnote{Cette deuxi{}me note aussi.} 
%%%%NB : \verb|\sommaire| ou \verb|\tableofcontents| produisent des HORREURS,
%%%%     lorsqu'ils ont utilises dans un \fbox, BUG LATEX !
 est un apport du style {\tt french}.\hfill}} 
\end{center}
\end{minipage}
}
\end{center}

{\def\thefootnote{\fnsymbol{footnote}}
Essai de note avec \verb|\fnsymbol|
\footnote{Note avec une {}toile.}.

\def\thefootnote{\relax}
Essai de note de bas de page non numrote
\footnote{Note non num{}rot{}e.}.
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\cleardoublepage
\chapter*{\prefacename}
{\em Certains croyent qu'une pr{}face peut apporter de la valeur au livre,
moi je pense plut{}t que a apporte de la {\em valeur} 
{} l'auteur...} (dans
tous les sens du terme).

\cleardoublepage

\twocolumn 
\iflatex\renewcommand{\thepage}{\arabic{page}}\setcounter{page}{1}\fi%
\chapter*{Introduction}

\begin{motsclef}
french, style, francisation, francophonie, multilingue, 
english, option, extension. 
\end{motsclef}

\begin{resume} Ce document a {}t{} conu
uniquement pour tester intensivement l'option de style %
\glossary{<< : ; style ? ! >>}\index{<< : ; style ? >>}%
\index{french!Le point d'exclamation est un caract{}re sp{}cial de Makeindex}%
\index{<@{\tt\protect\inferieura} ({\tt\protect\backslash inferieura})}% 
\index{>@{\tt\protect\superieura} ({\tt\protect\backslash superieura})}%
\index{Magic di N'Konga (auteur c{}l{}bre)}% 
\verb|french|.  
\end{resume}

\bigskip Notez que les deux environnements \verb|resume| et \verb|motsclef|
(ainsi que \verb|keywords|)
sont des apports de l'option de style
\verb|french|.

\bigskip Si le libell{} << R{}sum{} >> apparat dans la partie
 anglaise, cela
signifie que le style \verb|french| ne poss{}dait pas de d{}finition
d'\verb|\abstract| et donc l'a remplac{} par \verb|\resume|. Cela signifie
aussi que les libell{}s anglais n'ont pas {}t{} d{}finis 
(\verb|\captionnames|%
\footnote{L'option de style {\tt english} est fournie conjointement avec le
style {\tt french} ; {\tt captionnames} y est d{}fini. Cette option {\tt
english} est automatiquement appel{}e par l'option {\tt french} dans le
cas que nous avons cit{}.}
 n'{}tait pas d{}fini par les styles ou options appel{}s avant
 \verb|french|).
Rappelez-vous aussi que \verb|\abstract| ne fait pas partie du style
\verb|book|.

Remarquez les diff{}rences entre les num{}ros de notes de bas de page en 
franais et en anglais, ainsi que l'impression de ce m{}me num{}ro en
bas de la page.

\english\newpage
\begin{keywords}
French, Style, Option, Package, French-Speaking usage, English, Multilingual.
\end{keywords}

\begin{abstract} The object of this paper is to test intensively the french
style option.  \end{abstract}

\bigskip Notice that the three environments 
\verb|resume|, \verb|keywords| or \verb|motsclef|
are introduced by the french style.

\bigskip Notice that if the abstractname printed here is not ``Abstract'' you
are using styles that have no \verb|\abstractname| defined for eng\-lish.  The
english style defining such captions are loaded only if \verb|\captionsnames|%
\footnote{The {\tt english} option of style is given with the french style,
so {\tt captionnames} are normally defined because the french style call
automatically the {\tt english} option in the pre\-viously cited case} was
previously undefined.  (Remember also that as \verb|\abstract| is not defined
in the \verb|book| style the \verb|french| option assume it is a
\verb|\resume|.)\NL1

Notice the different typesetting of the footnote numbers in French and English
as well as the printing of that numbers before the footnote text.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\french 
\part{Ce qui marche est ici...}
\disallowuchyph% ce que je prefere...

\chapter{Avertissements}

Seul le document authentique qui est fourni par l'auteur
 sous une forme compos{}e
constitue la r{}f{}rence. Cela veut dire que l'installateur de l'option
\verb|french| sur son syst{}me doit comparer son r{}sultat 
(sous forme papier ou
fichier \verb|.dvi|) avec la forme authentique fournie par l'auteur.

\bigskip


\bigskip Le style \verb|french| a {}t{} conu pour fonctionner 
avec la majorit{}
des {\em formats\/} mais certaines commandes reposant 
particuli{}rement sur des
ordres \LaTeX{} deviennent donc inop{}rantes en dehors 
de cet environnement.

\bigskip \AllTeX{} est mon logo ; il symbolise {\em tous les \TeX{}} ; on peut
l'imprimer correctement dans toutes les polices ({\em \AllTeX}, {\bf \AllTeX}, 
{\sf \AllTeX}, {\tt \AllTeX}, ...) si on dispose de NFSS.
\footnote{Le document de r{}f{}rence ({\tt frenchrf})
a {}t{} produit avec. Ce document-ci a {}t{} compos{} avec le format 
{\tt \fmtname}.}

\newpage\english Only the authentic author's document in a composed form is
the reference.  That means that the \verb|french| option site installator must
compare his result (paper or \verb|.dvi| file) with the authentic form
provided by the author.
\NL3

\bigskip The french style was designed to work with all {\em formats\/} but a
lot
 of control words use \LaTeX{} commands and therefore these control words
 become null commands outside the \LaTeX{} world.

\bigskip \AllTeX{} is my logo ; it's a  symbol for expressing 
{\em all \TeX{}} ; one can print it correctly in all shapes
({\em \AllTeX}, {\bf \AllTeX}, 
{\sf \AllTeX}, {\tt \AllTeX}, etc.) only if you are using NFSS.\footnote{The
reference document was produced with NFSS of {\tt \fmtname}.}  

\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\chapter{La torture} 

\section{Le saviez-vous ?} Nos journaux, livres, revues,
articles scientifiques ou autres ont {}t{}
 pendant ces trente derni{}res ann{}es imprim{}s 
par des machines d'origine
am{}ricaine. Ainsi, petit {} petit, nous perdmes 
l'habitude de lire des
majuscules accentu{}es parce que tout simplement les polices
 de caract{}res
utilisables sur ces machines n'en comportaient pas.

L'usage de plus en plus g{}n{}ralis{} de l'infor\-ma\-tique 
{\em am{}ricaine} fit ainsi disparatre pendant un temps tous
 les accents de notre langue {}crite.

De la m{}me mani{}re un certain nombre de 
{\em mauvaises habitudes} furent
prises quasiment inconsciemment tout simplement parce que les programmes
informatiques ne pouvaient pas faire autrement. Ainsi de nombreuses {\it
coquetteries} de notre typographie sont tomb{}es dans l'oubli.

Saviez-vous par exemple qu'on n'imprime pas des guillemets comme ceci `` '' ni
m{}me ` ' mais ainsi << >> ? Nous nous autoriserons toutefois
 {} utiliser dans
ce document ces guillemets %\noenglishquote 
(` ') que nous consid{}rons comme
{\em techniques}.

\newpage\english \section{Did you know that?}
Our (french)
newspapers, books, magazines, scientific articles and other things have
been printed with american machines during these last thirty years. So our
habits to read accented uppercase letters declined because they simply were
not included in the machinery.\NL2

Together with American computer usage growth, all french
diacritics disappeared from our french written language.\NL1

In a same way {\em bad
habits} took place, inconsciously, for the only reason that computer programs
could not do otherwise. So, a lot of  french typographic {\em coquetteries\/}
are largely forgotten.\NL2

 Did you know for example that we never type french
guillemets like this \verb|`` ''| neither \verb|` '| but
 \verb|<< >>|? Instead, we will
authorised ourselves to use (\verb|` '|) in this document 
because we consider they are {\em technical} guillemets.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
*** Cet espace est laiss{} intentionellement {} blanc ***
\NL3
\section{Typographie franaise}
%\noenglishquote 
La typographie franaise est sp{}cifique en ce qui concerne
l'utilisation des signes sui\-vants : 
`\verb|.| \verb|:| \verb|;| \verb|!| \verb|?| \verb|<<| \verb|>>|'. 

La r{}partition des espaces dans une ligne se fait de faon 
{}quitable entre les
mots (jamais {} l'int{}rieur des mots) et apr{}s 
la ponctuation (c'est le
\verb|\frenchspacing| de \TeX{}) contrairement {} la
 typographie anglaise.

Les `\verb|; ! ?|' doivent {}tre pr{}c{}d{}s d'une espace fine 
ins{}cable.  C'est
ce que nous avons appliqu{} dans le style \verb|french|.  
Le cas du `\verb|?|'
a {}t{} trait{} sp{}cialement car l'espace fine ayant 
{}t{} jug{} trop grande (par
des sp{}cialistes), a {}t{} r{}duit tout en adjoignant une peu de 
{\em glue} d'extensibilit{}.

En ce qui concerne le `\verb|:|', le code typogra\-phi\-que%
\footnote{Nous
avons choisi d'adopter les recommandations de l'imprimerie nationale
franaise} pr{}cise qu'il est pr{}c{}d{} 
d'une espace {\em mot\/} 
ins{}cable.
D'autres ont jug{} que c'{}tait inesth{}tique et cela a {}t{} 
remplac{} par une espace fine. 

Les guillemets franais << doivent {}tre suivis d'une espace mot 
ins{}cable qui
a {}t{} remplac{}e ici par une espace moindre. 
Les guillemets fermants >>
sont, eux, pr{}c{}d{}s de la m{}me espace.

Lorsque la ligne n'est pas assez remplie et qu'il existe un `:', les
typographes ont --~semble-\hbox{t-il}~-- l'habitude 
de r{}partir largement les espaces autour
des deux points. C'est ce qui a {}t{} fait dans le style 
\verb|french| qui
pourra {}ventuellement produire une ligne : 
peu remplie\footnote{Le cas pr{}sent{} ici a {}t{} 
cr{}{} artificiellement et peut donc apparatre exag{}r{}.}%
\penalty-10000% 
 ou aussi bien une ligne se terminant ainsi : << {\em comme font les pros\/} >>
lorsqu'ils ne trouvent pas d'autre moyen mais il devrait s'agir que de cas
extr{}mes. {} noter que cela a pour avantage de r{}duire les
\verb|over/under-full hbox| de faon significative.

Paragraphe de remplissage...\\ ...\\... pour v{}rifier que le `:' ne 
termine ni la page ni la colonne. Ainsi : 

%\englishquote 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{itemize} 
\item %qu'il s'agisse de verbatim ou d'une liste d'{}l{}ments 
les deux points et  le  texte qui suit  
sont  tous  deux sur la  m{}me  page.
\end{itemize}
%\newpage % already done with the previous list
\english\NL1

\section{French printing}
\ \\ French printing use specific typographic rules specially in concern with 
the following: `. : ; ! ?' and french guillemets.

Interword spacing in a line is allways equal (and never modified inside a
word). It's the same way after punctuation (standard \verb|\frenchspacing|) as
opposed to the english typography.\NL1 

All `; ! ?' are preceeded by a thin and uncuttable space. We apply this
automatically in the french style. (We have added few stretching {\em glue} to
the question mark).\NL2

Regarding the `:' we have not inserted an inter-word space but a thin space 
and also have added some glue.\NL2

French guillemets are processed the same way. \NL3

In an {\em underfull\/} line containing a `:' man has habits to share spaces
around the double points. This way used in the french style can also produce a
line with a ragged right, as shown in the french column. This technic reduce a
lot of {\em overfull} and {\em underfull} {\tt hboxes} produced by \TeX{}.
\NL3

As shown also, the french style is reluctant to print a double point at the
end of a page or a column.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french%\noenglishquote
\section[Dactylographie franaise]{Rappels concernant la \newline 
dactylographie}

Les habitudes de saisie c.-{}-d. les habitudes dactylographiques,
 veulent que les signes suivants
`\verb|:| \verb|;| \verb|!| \verb|?| \verb|>>|' 
soient toujours pr{}c{}d{}s d'1 blanc
(barre d'espace sur les claviers) et les \verb|<<| toujours
suivis d'1 blanc. Le style \verb|french|  remplacera
automatiquement ce blanc ({} la composition) par l'espace appropri{}e.

{\moretolerance\moretolerance\moretolerance
Les guillemets franais << (et respectivement >>) $\ldots{}$
\footnote{\tthyphenation Avec les options fournies 
telles \vers|A4| et  \vers|double|\-\vers|column| on obtient
 l{} un \vers|overfull| \vers|hbox| difficilement r{}ductible
de faon automatique mais je l'ai r{}duit 
avec 3 {\tt\backslash moretolerance}%
\notthyphenation.} 
\par}
%\nooverfullhboxmark

Les vrais guillemets franais << (et respectivement >>)
s'utilisent toujours doubl{}s (\verb|<<| et respectivement 
\verb|>>|). Ainsi $<$ et $>$ ne 
sont que des signes math{}matiques et n'ont pas
d'autre sens en franais que : {\em inf{}rieur {}} et 
{\em sup{}rieur {}}.

Il est fortement conseill{} de poursuivre
ces habitudes dactylographiques qui
contribuent aussi {} {}claircir le texte
saisi et donc ainsi {} faciliter les
corrections ult{}rieures.
\NL1

\subsection[Test de la ponctuation franaise 
            \mdseries`\protect\myverb|. : ; ! ?|']
{Test de la ponctuation \newline franaise 
            \mdseries`\protect\myverb|. : ; ! ?|'} 

Le deux points s'imprime comme ceci : s'il est pr{}c{}d{} d'1 blanc
(au moins 1) sinon rien n'est chang{} (par ex. 11:33). Notez 
l'espace apr{}s le point terminant la phrase ; le point virgule
est aussi pr{}c{}d{} d'une espace fine s'il n'est pas coll{} 
au mot pr{}c{}dant (comme dans cet exemple d{} {} une faute
de frappe; malheureusement fr{}quente).
{\moretolerance
Oh ! Quoi-donc ? Noter ici l'espacement utilis{}
devant le `!' et le `?'. Il ne faut
pas oublier aussi de taper le blanc avant, sinon? tout est
%terriblement 
 coll{}! Voyez-vous la diff{}rence ? Bravo !
}

Mais pour les documents {\em mal\/} saisis (c.-{}-d. sans blanc) il est
toujours possible de sp{}cifier la sous-option \verb|\untypedspaces|
\untypedspaces pour obtenir une insertion automatique des espaces
manquants comme ici! o{} il avait {}t{} saisi `\verb|ici!|'.
V{}rifions pour les autres ponctuations:;? \typedspaces que nous 
n'obtenons pas:;? serr{}es comme ici.

V{}rification de l'espacement :

\noindent
\verb|  \typedspaces X~; Y ; Z;| = \typedspaces X~; Y ; Z;

\noindent
\verb|\untypedspaces X~; Y ; Z;| = \untypedspaces X~; Y ; Z; \typedspaces

\newpage\english
\section{French typing}
French typist have some habits. For example they type a space before `: ; ! ?
\verb|>>|' and after \verb|<<|. The french style replace automatically this
blank space by the appropriate spacing.

There is only one kind of quoting in French by the mean of guillemets which
are allways typed \verb|<<| and \verb|>>|. Usual english simple and double
quotes must be prohibited.

\subsection{{\mdseries\tt\backslash untypedspaces}}
This control command offers the ability to repair automatically a document
badly typed i.e. in which spaces were not typed before french punctuation.
This bypass can help but is not the good way to use daily because there are
many cases where for example a double point must never be preceeded by a space.

Now we verify that the spacing is unchanged in English:

\noindent
\verb|  \typedspaces X~; Y ; Z;| = \typedspaces X~; Y ; Z;

\noindent
\verb|\untypedspaces X~; Y ; Z;| = \untypedspaces X~; Y ; Z; \typedspaces

\subsection{{\mdseries\tt\backslash wrongtypedspaces}}
A french typist may input  spaces before
punctuation as it is usual in French. These unfortunate space
 can be removed by simply leaving \verb|french| by the control
sequence:

\begin{verbatim}
\letpunctuationactivefor
               \wrongtypedspaces
\end{verbatim}

\FRENCH% pour ne pas dire \french
\letpunctuationactivefor\wrongtypedspaces
\english
Let's try the previous example:\par
\noindent
\verb|  X~; Y ; Z;| =  X~; Y ; Z;

Now we say \verb|\nowrongtypedspaces|
\nowrongtypedspaces to come back to the normal
situation.

\vfill

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\nowrongtypedspaces% to be sure it is set when english text is skipped
\csname StopFrenchLbT\endcsname% special case, temporary.
\section[Test des guillemets franais, 7 (<%
                                          < >%
                                            >) et 8-bits (<< >>)]%
{Test des guillemets \newline franais (<< >>)}
\hyphenation{nor-ma-le-ment}

Les guillemets franais s'{}crivent et se saisissent 
<< normalement >> comme ceci : 
\verb|<< |{\tt nor}\-%
{\tt male}\-{\tt ment }\verb|>>| 
 ou {}ventuellement en italiques mais toujours
<< \em normalement\/ >> ; ici nous avons tap{} au clavier :
\verb|<< \em| {\tt normalement}\verb| >>|.
Et en tapant par contre :\\ \verb|<<\em| 
 {\tt anormale\-ment (sans espace)}\verb|>>| \  on  obtient...
<<\em anormale\-ment (sans espace)\/>>.
Re\-marquez que les guillemets font office d'acco\-lades \TeX{} et que donc
les changements de polices sont restaur{}s en sortant de la citation.

Pour les documents d{}j{} saisis {\em sans espace} le style
\verb|french| ins{}rera syst{}matiquement un espace {} l'endroit
d{}sir{} si l'on a donn{} la sous-option \verb|\untypedspaces|
ainsi \untypedspaces en tapant {} nouveau 
\verb|<<\em| {\tt anormale\-ment (sans espace)}\verb|>>| on obtient
<<\em anormalement (sans espace)\/>>. \typedspaces

Parfois on d{}sirera remplacer syst{}matiquement tous les 
guillemets anglais (`` et '') d'un texte par de vrais guillemets 
franais, il
suffira alors de fournir l'{}trange option :\\
{\tt\backslash noenglishdoublequotes}\\
\noenglishdoublequotes pour obtenir : `` ''.

\marginpar{{\small Probl{}me {} voir ici\footnotemark.}}
\footnotetext{Le kerning {}tant le m{}me pour les DC que pour les
CMR mais les glypes diff{}rents, le rendu typographique est diff{}rent
lorsque les 2 guillemets se touchent.}
``  '' (m{}me test en d{}but de paragraphe).\englishdoublequotes
 
Lorsqu'une citation est faite dans un texte, celle-ci commence
toujours par des guillemets. << Cette citation peut se poursuivre sur
plusieurs paragraphes. 

Dans ce cas, le style %\verb|french| 
ins{}rera syst{}matiquement les guillemets n{}cessaires 
en d{}but de 
chaque paragraphe. >>

Mais une citation peut aussi en contenir une autre. << Dans ce cas l'imprimerie
 nationale pr{}cise dans   ses {\em R{}gles typographiques} : 
\ancientguillemets
 << Lors\-que la premi{}re citation est 
elle-m{}me plac{}e entre 
guillemets, chaque ligne de la seconde d{}butera par un 
guillemet ouvrant. >> 
Ce dispositif, comme on le voit, n'est pas  mis en {\oe}uvre ici
 (voir son application au paragraphe \ref{noeveryparguillemets}). 
 << La deuxi{}me citation peut aussi...

se poursuivre sur un ou 
plusieurs paragraphes. >> Notez qu'avant cette citation nous avons 
demand{} les \verb|\ancientguillemets| 
pour produire ces guillemets fermants
en d{}but de ligne. Le \verb|\todayguillemets| r{}tablit la 
situation une fois
le deuxi{}me niveau termin{}. \todayguillemets

Il arrive que la fin d'une citation de deux\-i{}me niveau 
concide avec celle
du premier niveau.  << Dans ce cas il faudra coder, comme ici :\\
\verb|\endguillemets| 
{} la place de ``\verb|>>|'' \endguillemets. 

2 tests : \fbox{\begin{guillemets} XXX \end{guillemets}}
et  \fbox{X \begin{guillemets} XXX \end{guillemets} X} pour
v{}rifier l'espacement quand on utilise \verb|\begin| et \verb|\end|.

Le paragraphe suivant va alors d{}marrer de faon 
tout {} fait normale...

On peut aussi coder :
\begin{verbatim}
\begin{guillemets}
Une citation...
\end{guillemets}
\end{verbatim}
ce qui donnera :
\begin{guillemets}
Une citation...
\end{guillemets}
et en tapant {\em {} la \TeX} : \verb|\guillemets{}| \verb|Une citation...| 
\verb|\endguillemets{}| nous devons  obtenir absolument la m{}me chose :
\guillemets{} Une citation... \endguillemets{}

V{}rifions maintenant l'espacement dans les diff{}rents cas :

\noindent
\fbox{\parbox{2cm}{<<X\dotfill X>>}} \%{\tt\backslash typedspaces}
 {\em sans blanc}

\noindent
\fbox{\parbox{2cm}{<< X\dotfill X >>}} \%{\tt\backslash typedspaces} 
{\em normal}

\noindent\untypedspaces
\fbox{\parbox{2cm}{<< X\dotfill X >>}} \%{\tt\backslash untypedspaces} 
{\em avec blanc}

\noindent
\fbox{\parbox{2cm}{<<X\dotfill X>>}} \%{\tt\backslash untypedspaces} 
{\em sans blanc}
\typedspaces

\noindent
\fbox{\parbox{3cm}{A blabla bla blabla : << 
Ceci est mon test de c{}sure >>}} <<...>> reste possible.

\begin{flushleft}
 Ceci est << un test avec \verb|\raggedright| >> qui 
--~th{}oriquement~-- ne devrait plus nous poser de probl{}me.
\end{flushleft}

\subsection{{\mdseries%
\tt\backslash noeveryparguillemets}}\label{noeveryparguillemets}
Cette option permet de g{}rer correctement les citations de second 
rang mais elle est tout {} fait contraire
 au processus \verb|\everypar| cit{} pr{}c{}demment gr{}ce auquel
 les guillemets sont g{}n{}r{}s automatiquement {} chaque 
d{}but de paragraphe.
Voici ce que produit l'option {\em normale\/} 
{\tt\backslash every\-par\-guil\-lemets} sur le paragraphe suivant :

<< Tout le monde s'accorde {} trouver l{}gitime la division : 
{\tt extra-ordinaire}. Le cas des mots com\-pos{}s est le seul 
{} rencontrer 
cette unanimit{}. Dans les autres, les opinions sont tr{}s partag{}es.
 Frey est le plus cat{}gorique : il n'admet de division selon la formation 
que pour des mots de composition compl{}tement franaise, et la rejette 
sinon... Le {\em Code typographique}, tout en adoptant ce m{}me point
 de vue << ... [reconnat] n{}anmoins que certains auteurs de travaux 
scientifiques pr{}f{}rent la division {}ty\-mologique 
qui fait ressortir
 la racine grecque ou latine >>. Quant {} Gouriou, il {}crit :
<< On pr{}f{}rera cependant garder la coupure {}tymologique
 chaque fois que les composants sont {\em ais{}ment} re\-connaissables. >> 
(L'italique est de Gouriou.) 
\marginpar{{\footnotesize Ici on a trich{} avec des} {\tt\backslash!}}
\!Telle \!est aussi \!l'opinion \!de \!Girodet >>. 

Et voici l'effet de \verb|\noeveryparguillemets| :
\noeveryparguillemets

<< Tout le monde s'accorde {} trouver l{}gitime la division : 
{\tt extra-ordinaire}. Le cas des mots com\-pos{}s est le seul 
{} rencontrer 
cette unanimit{}. Dans les autres, les opinions sont tr{}s partag{}es.
 Frey est le plus cat{}gorique : il n'admet de division selon la formation 
que pour des mots de composition compl{}tement franaise, et la rejette 
sinon... Le {\em Code typo\-graphique}, tout en adoptant ce m{}me point
 de vue << ... [reconnat] n{}anmoins que certains auteurs de travaux 
scientifiques pr{}f{}rent la division {}ty\-mologique 
qui fait ressortir
 la racine grecque ou latine >>. Quant {} Gouriou, il {}crit :
<< On pr{}f{}rera cependant garder la coupure {}tymologique
 chaque fois que les  composants sont {\em ais{}ment} re\-connaissables. >> 
(L'italique est de Gouriou.) 
Telle est aussi l'opinion de Girodet >>. 
\everyparguillemets

Il faut noter que cette option impose que le paragraphe commence et se
termine par des guillemets. % sinon code \guillpar et \parguill
C'est pour cela que nous n'avons pas mis cette option par d{}faut.

\subsubsection{Un test assez m{}chant}
Voici un exemple d'utilisation dans un environement \verb|quotation|%
\footnote{Nous avons introduit {\tt\backslash moretolerance} pour obtenir une
composition correcte.}
 :
\begin{quotation}
\moretolerance\moretolerance\moretolerance
<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune :

<< La scien\-ce du graveur, dit-il, consiste {} connatre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte. \endguillemets
\end{quotation}

Le m{}me exemple sans \verb|quotation|  :

<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

<< La scien\-ce du graveur, dit-il, consiste {} connatre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte. \endguillemets
\bigskip

\noeveryparguillemets
Puis avec \verb|\noeveryparguillemets| (c.-{}-d. sans \verb|quotation|) :

<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

<< La scien\-ce du graveur, dit-il, consiste {} conna\-tre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte. \endguillemets
\bigskip

Et enfin avec \verb|quotation|, voil{} 
\marginpar{{\footnotesize Il y a ici un probl{}me {} {}tudier en 2 colonnes !}}
ce que cela peut donner\label{quotation} :
\begin{quotation}
                    %\let\bkORI\break
                    %\def\break{\bkORI\hbox to 0pt{/}}% for debug
                    %\ancientguillemets% for debug
<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune :

<< La scien\-ce du graveur, dit-il, consis\-te {} connatre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte.
 \endguillemets
\end{quotation}
\everyparguillemets
On notera ici les espaces inter-mots beaucoup plus {\em tol{}rants}. C'est
la seule solution trouv{}e pour arriver {} imprimer 
quelquechose d'{} peu
pr{}s correct en double colonnage.

\vfill
Terminons la page en anglais pour tester le haut de page. Les guillemets
doivent {}tre bons avec le codage T1.

\english
Let's complete the page with english text in order to test and show
how will be printed the header.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\onecolumn
\subsubsection{M{}me test en {\mdseries\tt\backslash onecolumn}}
Voici un exemple en environement \verb|quotation| :
\begin{quotation}
<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune :

<< La scien\-ce du graveur, dit-il, consiste {} connatre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte. \endguillemets
\end{quotation}

Le m{}me exemple sans \verb|quotation|  :

<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

<< La scien\-ce du graveur, dit-il, consiste {} connatre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte. \endguillemets
\bigskip

\noeveryparguillemets
Puis avec \verb|\noeveryparguillemets| (sans \verb|quotation|) :

<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

<< La scien\-ce du graveur, dit-il, consiste {} connatre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte. \endguillemets
\bigskip

Et enfin avec \verb|quotation| :
\begin{quotation}
                    \let\bkORI\break
                    %\def\break{\bkORI\hbox to 0pt{/}}% for debug
                    %\ancientguillemets% for debug
<< Je ne peux mieux faire que de citer la d{}finition qu'a donn{}
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

<< La scien\-ce du graveur, dit-il, consiste {} connatre la figure
la plus parfaite que l'on puisse donner aux caract{}res, les dimensions
qu'ils doivent avoir  et {} les repr{}senter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perp{}tuent des lettres
{} l'infini par la fonte. \endguillemets
\end{quotation}
\everyparguillemets

\subsubsection{Test de << stretchability >>}

Les espaces doivent {}tre {}galement r{}partis sur la ligne :

\medskip
\hbox to \hsize{etiord-gauche\footnote{En plain \TeX{} l'espacement est ici
\label{etiord}
                                       curieusement incorrect !}
 << centre-ertnec >> \hbox{}\footnote{Alors qu'il faudrait 
la m{}me r{}partition
                               de l'espace.}%
                               ehcuag-droite}
\medskip

\subsubsection{Test des commandes {\mdseries\tt\backslash ifnum}}

\ifnum 1 < 3 1\verb| < |3 est VRAI, bien s{}r ! 
       \else 1\verb| < |3 est FAUX ! \fi
comme 
\ifnum 3 > 1 3\verb| > |1 est aussi VRAI, bien s{}r ! 
       \else 3\verb| > |1 est FAUX ! \fi

\medskip

\subsubsection{Test des commandes {\mdseries\tt\backslash everypar}}

{J'ai cod{} dans cette section \verb|\everypar{$++\,$}| : \everypar{$++\,$}

Paragraphe 1 << citation niveau 1

Paragraphe 2 << citation niveau 2

Paragraphe 3 fin citation niveau 2 >> puis fin niveau 1 >>

Paragraphe 4}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\twocolumn

\subsection{Guillemets interrompus}
Une citation peut {}tre en anglais et donc se commencer par
\vers|<< \|\vers|english| et se terminer par \vers|\|\vers|french >>|. Ce cas
ne doit plus g{}n{}rer de message 
{\em fermeture de guillemets non ouverts} !
Voici le test, r{}alis{} ici
tout d'abord avec l'environnement\vers|nonfrench| :

\medskip
1 \fbox{<< \begin{nonfrench}% LaTeX keeps space
          Text in English
          \end{nonfrench}% LaTeX keeps space
        >>}


\medskip
Puis avec : \\
\verb|\begin{english}| ... \verb|\end{english}| :

\medskip
% bypass here our TeX--XeT emulation to avoid message: english environment
% ended by \end{guillemets}
\def\temp{\begingroup}
\ifx\beginL\temp
\else
{% local redef of english for plain and our specific test file
 \ifx\undefined\englishORI\else\let\english\englishORI\fi%
2 \fbox{<< \begin{english}%  LaTeX keeps space
          Text in English 
          \end{english}%  LaTeX keeps space
        >>}

\medskip
Et enfin  avec \verb|\|\verb|english| ... \verb|\endenglish| :

\medskip
3 \fbox{<< {\csname english\endcsname
          Text in English
          \csname endenglish\endcsname}% space here to remove
        >>}
}% local redef of english for plain test
\fi

\medskip
Ceci avait aussi pour but de tester ces possibilit{}s de
changement de langage et de v{}rifier l'espacement qui
devrait {}tre ainsi :

\medskip
0 \fbox{<< Text in English >>}

\noenglishdoublequotes
\subsection{`` {\tt\backslash noenglishdoublequotes} ''}

Nous avons mis la commande \vers|\noenglish|\-\vers|doublequotes| juste avant
le titre de section de faon {} remplacer les << quotes >> anglaises
par des guillemets franais dans ce titre.
Il s'agit de v{}rifier aussi que la g{}n{}ration des fichiers auxiliaires
\verb|.aux| et \verb|.toc| ne pose pas de probl{}me lorsque ces fichiers 
sont r{}utilis{}s. Bien s{}r, si cette option n'est pas activ{}e pour tout le
document, comme ici, on ne retrouvera pas les guillemets franais
dans la table des mati{}res.

\noenglishdoublequotes

\english% histoire de changer de langue ?

\newpage\french
\subsection{<< no-french guillemets >>}
En codant \verb|\nofrenchguillemets|
\nofrenchguillemets on n'utilise plus
les guillemets programm{}s dans l'extension {\tt french}. Si on les utilise
malgr{} tout, le r{}sultat d{}pendra de la police. Ici nous utilisons la
police \fontname\font{} et nous obtenons : 

<%
 < en 7-bits >%
              >

et aussi :

<< en 8-bits >>. 

R{}activons maintenant les guillemets avec la commande
\verb|\frenchguillemets|
\frenchguillemets et faisons le m{}me test :

<%
 < en 7-bits >%
              >

et aussi :

<< en 8-bits >>. Voyez-vous ? 
\vfill
\subsection{Guillemets \& hauts de page}

\subsubsection{En 8-bits}
Il ne devrait pas y avoir de probl{}me du tout. 
Car, puisqu'il s'agit d'un guillemet en 8-bits, cela doit
{}tre forc{}ment un vrai guillemet franais. Mais, malheureusement,
{\em la solution pour l'impl{}menter n'est pas encore trouv{}e avec
le codage OT1}.
Le codage de fonte de ce document imprime : 
\nonfrench <%
           < >%
             >%
\endnonfrench{} 
 (doit {}tre parfait en T1).

\subsubsection{En 7-bits}
En codage OT1 les guillemets 7-bits de haut de page ne peuvent {}tre
bons sur cette page 
 {\bf QUE} parce que nous avons termin{} la
page en franais, sinon nous les aurions eu :
\ifx\textexclamdown\undefined
    \def\textexclamdown{}\def\textquestiondown{}
\fi
\textexclamdown\textexclamdown{} et \textquestiondown\textquestiondown
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
\hbox{ }\NL{25}

\subsection{Guillemets et maths}

L'equation suivante ne doit plus produire le fameux message :

{\tt ! Argument of \backslash \string @genG % string pour amslatex
 has an extra % { pour emacs
 $\}$% c'est un \delimiter qui pose pb tq avec frencht d'ou mode math
.}

$$U^{k+1}=U^{k}- {<  g_{k},d_{k} >}$$
   
\section{D'autres guillemets}\label{autres}
Avec le style \verb|french| il est possible de substituer automatiquement aux
guillemets `anglais' la forme  \noenglishquote `que voici' en donnant la
sous-option \verb|\noenglishquote|.
Mais attention car les apostrophes deviennent des accents 
comme dans : {\em il s'agit ici de l'exemple}
\englishquote qui aurait d{} {}tre imprim{} : 
{\em il s'agit ici de l'exemple}.
Un usage intensif de cette option est plut{}t {} d{}conseiller. 

\newpage\english
\section{French guillemets}
Using french guillemets in an english document (\verb|<<| and \verb|>>|) will
give << and >>, it is normal!

As you can look in the previous columns, french guillemets have specific
rules. They are used for quotation when an author is cited or each time an
emphasis is needed. Normally, italic is not used inside a quotated french
text, excepted when you really want to show some wording.

When opened, each paragraph of the quotated text will start left
 with the opening french guillemets.

Another quotated text can take place inside a first level. This second level
citation is also very specific. Each line must start with guillemets. 

The style designer, from time to time, chose to apply here an ancient rule
by putting here closing guillemets.

The technical tools involved in the french style
 disallow to have at the same time
the \verb|\everypar| possibility and the second level mechanism. 

\subsection{Guillemets and maths}

The following equation is always correct:

$$U^{k+1}=U^{k}- {<  g_{k},d_{k} >}$$

and never produce an error message.
\NL1
   
\section{Other guillemets}
With the french style it is possible to replace english guillemets by
diacritic caracters. But, be careful, all apostrophes will be diacritics too.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french 
\section{3 petits points}
Les points de suspension sont : ... et non pas ceux de \TeX{} : $\ldots{}$
\noTeXdots
En codant \verb|\noTeXdots| les commandes \verb|\dots| ou \verb|\ldots| de
\LaTeX{} donneront : $\ldots{}$ Mais l'option par d{}faut a {}t{}
volontairement maintenue au standard  (\verb|\TeXdots|) puisqu'il suffit
de ne pas les utiliser.\TeXdots

\section{Crochets}
IBM, en son temps, avait cr{}{} l'EBCDIC dans lequel ne figurait pas
les crochets ([ ]). C'est la raison pour laquelle les utilisateurs IBM
ont parfois substitu{} $<$ et $>$ aux crochets.  La sous option
\verb|\EBCDICbrackets| \EBCDICbrackets
permet de les remplacer comme ici <automatiquement> par des crochets.
Mais faites attention, les doubles guillemets 
\verb|<|\verb|<| et \verb|>|\verb|>| % pour eviter la conversion 8bits
 ne donneront jamais des crochets mais << et >> 
(sauf en mode \verb|verbatim|). On peut en g{}n{}ral
se contenter de \verb|< <| et \verb|> >| pour obtenir < < et > >. 
On revient  {} la situation ant{}rieure en tapant la commande suivante :
\verb|\normalbrackets|\normalbrackets. 

\section{D{}bordements}
Nous venons de choisir  l'option  d'indication de d{}bordement de ligne 
\verb|\overfullhboxmark| et nous voyons son
effet lorsque la ligne ne peut {}tre coup{}e gr{}ce {} l'impression
de la petite bote noire. 
%(cf. page \pageref{debordement}).
Cette option est activ{}e au minimum pour une page enti{}re. 
Ne pas sp{}cifier l'option et son contraire sur la m{}me page sinon
l'effet est inchang{}.

\labelsinmargin
\section{{\mdseries\tt\backslash labelsinmargin}}\label{labels: in: margin}
Le style \verb|french| offre la possibilit{}, 
comme cela a {}t{} demand{}
{} partir de cette section, d'imprimer dans la marge le libell{} des
{}tiquettes utilis{}es dans les ordres \verb|\label|. 
Cette option, utilisable
aussi en dehors du franais, est la suivante :
\verb|\labelsinmargin|

\newpage\english
\section{Three dots}
Usual and common \TeX{} and \LaTeX{} dots are not french dots.
\NL4

\section{Brackets}
An option is offered to replace \verb|<| and \verb|>| by brackets.
\NL{11}

\section{{\mdseries\tt\backslash overfullhboxmark}}
The command \verb|\overfullhboxmark| print a black
box where your have an overfull \verb|hbox| i.e.\  when a line can't be
hyphenated. The default is \verb|\nooverfullhboxmark|.
\NL4

\section{Labels in margin}\label{labels are in margin}
An option allow you to print the labels you use in a page. These labels are
printed in margins.
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Des points sur...}
Inutile de mettre les points sur les i quand on accentue un i. Tout bon
{}diteur de texte doit faire ce travail pour vous. Sinon il existe la 
sous-option \verb|\idotless| qui produira \idotless
\let\XX\^% Pour {}viter une traduction {}ventuelle en 8 bits
\XX{i} si on lui demande d'imprimer \verb|\^i|.
\iwithdot La valeur par d{}faut
dans le style \verb|french| est \verb|\iwithdot| qui donnera malgr{} tout de
bons i accentu{}s avec ML\TeX{} () s'ils sont saisis directement en 8 
bits (v{}rifiez dans votre fichier source).


\newpage\english
\section{An \minMAJ {i} dotless}
Everybody knows that a french ``{\em i circonflexe}'' has no dot on it. 
(In my opinion it is a \TeX{} bug to leave the dot when a diacritic is
put on). To suppress the dot automatically the best way is to use a well
programmed text editor. The french style offers another opportunity with
\verb|\idotless|.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Ponctuation et  mode math{}matique}
Il s'agit de v{}rifier que les modifications introduites dans le style
\verb|french| ne posent pas de probl{}me en mode math{}matique.
\\ Nous d{}finissons une macro \verb|\test| :
\\  \verb|\def\test#1{#1}|\def\test#1{#1}
\\ pour voir si le mode math{}matique peut {}tre appel{} 
sans probl{}me en
argument de macro-instructions. L'appel de \verb|\test{$x''$}| ne doit
pas poser de probl{}me.
\\ Ainsi :
\\  \verb|$A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$|
\\  \verb|\test{$A':B''_1<C_{d'}$}|
\\donne : $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{donne :} \test{$A':B''_1<C_{d'}$}
\\Avec \verb|\noenglishquote|\noenglishquote{} cela...
\\donne : $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{donne :} \test{$A':B''_1<C_{d'}$}
\englishquote
\\ puis avec \verb|\noenglishdoublequotes| \noenglishdoublequotes et
`` mise en vedette '' :
$$%  \begin{displaymath}
            A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;
$$%  \end{displaymath}
$$%  \begin{displaymath}
            \test{A':B''_1<C_{d'}}
$$%  \end{displaymath}
De m{}me :
\begin{verbatim}
{\tt CALL SUBR($<$iopt$<$,ilopt$>>$)}
\end{verbatim}
doit s'imprimer :\\
{\tt CALL SUBR($<$iopt$<$,ilopt$>>$)}\\
sans produire le message d'erreur << Fermeture de guillemets non ouverts ! >>.
\englishdoublequotes

\bigskip
Pour ma part lorsque je d{}sire des crochets que je n'ai pas
au clavier, je pr{}f{}re taper :\\
\verb|{\tt CALL SUBR(<iopt<,ilopt> >)}| et utiliser
l'option \verb|\EBCDICbrackets|\EBCDICbrackets{} :\\
{\tt CALL SUBR(<iopt<,ilopt> >)}

Cette option n'a pas d'effet en mode math{}matique :
$$ 1233 < 1234 << 1235 >> 1234 > 1233 $$
\normalbrackets

V{}rifions aussi ($x < {{1\over 3}} < {{1\over 2}} > {{1\over 4}}$) :
$$x < {1\over 3} < {1\over 2} > {1\over 4}$$
puis aussi :

\expandafter\ifx\csname amstex.sty\endcsname\relax
            \long\def\text#1{#1}\long\def\frac#1#2{{#1\over#2}}
            \fi
 \text{\quad pour $|y| < \frac{111}{444}$}

\newpage\english
\section[Math mode and punctuation]{Math mode and \newline punctuation}
Here we verify that french modifications about punctation
does not introduce any problem in printing mathematics. 
\\ We define a new  macro \verb|\test| :
\\  \verb|\def\test#1{#1}|\def\test#1{#1}
\\ in order to see if there is no more problem when passing maths
inside a mcro argument. Calling  \verb|\test{$x''$}| must not
introduce any problem.
\\So:
\\\verb|$A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$|
\\\verb|\test{$A':B''_1<C_{d'}$}|
\\ gives: $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{gives:} \test{$A':B''_1<C_{d'}$}
\\With \verb|\noenglishquote|\noenglishquote{} it$\ldots{}$
\\gives: $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{gives:} \test{$A':B''_1<C_{d'}$}
\englishquote
\\ and with \verb|\noenglishdoublequotes|\noenglishdoublequotes{}  
in ``display'' math mode:
$$%  \begin{displaymath}
            A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;
$$%  \end{displaymath}
$$%  \begin{displaymath}
            \test{A':B''_1<C_{d'}}
$$%  \end{displaymath}
\englishdoublequotes 
Also:
\begin{verbatim}
{\tt CALL SUBR($<$iopt$<$,ilopt$>>$)}
\end{verbatim}
must print:\\
{\tt CALL SUBR($<$iopt$<$,ilopt$>>$)}\\
without producing the error message: 
``Fermeture de guillemets non ouverts !''.

\bigskip
When i have no brackets on my keyboard i prefer to type:\\
\verb|{\tt CALL SUBR(<iopt<,ilopt> >)}|\\ using
 the option \verb|\EBCDICbrackets| but the result in english
remains unchanged\EBCDICbrackets{}:\\
{\tt CALL SUBR(<iopt<,ilopt> >)}

And within math mode:
$$ 1233 < 1234 << 1235 >> 1234 > 1233 $$
\normalbrackets

Let's verify also ($x < {{1\over 3}} < {{1\over 2}} > {{1\over 4}}$):
$$x < {1\over 3} < {1\over 2} > {1\over 4}$$
and:

\expandafter\ifx\csname amstex.sty\endcsname\relax
            \long\def\text#1{#1}\long\def\frac#1#2{{#1\over#2}}
            \fi
 \text{\quad pour $|y| < \frac{111}{444}$}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Utilisation de la toc}

Il n'est pas pr{}vu de pouvoir composer une table des mati{}res ou un
sommaire dans plus d'une langue.
On notera que \verb|\sommaire| est un apport de l'option de style
\verb|french|.

\section{Fichiers lof et lot}
On v{}rifie ici que la ponctuation franaise n'a pas cr{}{} 
d'ennui particulier.
Nous avons laiss{} en blanc la figure \ref{x<<:;!?>>x} 
qui n'est qu'un simple
test. De m{}me le tableau \ref{y`<<:;!?>>'y} n'est l{} que pour 
cr{}er une entr{}e dans la liste des tableaux.

Le {\em caption} de la figure 
\ref{x<<:;!?>>x} 
 doit apparatre comme ceci :
 {\it << essai >> ;  2 cm ! pourquoi pas ?}
\begin{figure}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\%\vspace*{2cm}
\ \\
\ Peu importe la figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{<< essai >> ;  2 cm ! pourquoi pas ? 
         \protect\\ (cf. aussi le tableau \ref{frenchdactylo})}
\label{x<<:;!?>>x}
\end{figure}

Le {\em caption} du tableau
\ref{y`<<:;!?>>'y}
 doit {}tre comme ceci :
{\it ` << essai >> ;  2 cm ! pourquoi pas ? '}
\begin{table}[h]
\caption{` << essai >> ;  2 cm ! pourquoi pas ? '  
         \protect\\ (cf. aussi le tableau \ref{frenchdactylo})}
\label{y`<<:;!?>>'y}

\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau\footnote{Une note de tableau.} $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\end{table}

On notera les libell{}s ({\sc Fig.} et {\sc Tab.}) plus conformes {}
l'usage franais. Ne pas oublier non plus que les titres de tableaux sont
toujours plac{}s, en franais, avant ceux-ci contrairement aux figures.

L'option de style \verb|french| ne pr{}voit pas 
que l'on puisse composer une 
partie des tables des figures (ou tableaux) en franais et une autre
en anglais par exemple. Les fichiers \verb|.lof| et \verb|.lot| seront
donc compos{}s enti{}rement dans la langue pr{}s{}lectionn{}e.

\newpage\english
\section{toc file use}
No facility is given to typeset the \verb|.toc| in various languages.

Notice that \verb|\sommaire| is a new command brought up with this
style.

\section{lof and lot files}
Same test in English just to verify  that our french modifications
does not affect the text in English.

You will notice, of course, that the caption names are re-established
to their original values ({\bf figure} and {\bf table}).

The following figure (\ref{ex<<:;!?>>ex}) caption must look like:
<< essai >>;  2 cm! Why not?
\begin{figure}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter how is the figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{<< essai >>;  2 cm! Why not?
         \protect\\ (cf. also the table \ref{frenchdactylo})}
\label{ex<<:;!?>>ex}
\end{figure}

The {\em caption} of the table \ref{ey`<<:;!?>>'ey} must look like: 
` << essai >>;  2 cm! Why not? '
\begin{table}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter how is the table\footnotemark% \footnotetext est perdu !
 $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{` << essai >>;  2 cm! Why not? '
         \protect\\ (cf. also the table \ref{frenchdactylo})}
\label{ey`<<:;!?>>'ey}
\end{table}\footnotetext{A note from a table.}
\NL1

Notice that we have here the standard caption names used by \LaTeX{}.

You can see in the french column the specific labels and places of caption
titles (under the figure but over the table).

Don't try to compose \verb|.lof| and \verb|.lot| files in more than one
language, it's not designed in this (stupid?) way!

\french
\begin{table*}[tb]
\caption{` << essai >> ;  2 cm ! pourquoi pas ? '  
         \protect\\ (cf. aussi le tableau \ref{frenchdactylo})}
\label{2`<<:;!?>>'2}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau sur deux colonnes%
\footnote{Une note de tableau.} $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\end{table*}

\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Encore un tableau...}
Mais celui-ci est sur deux colonnes si l'option
\verb|twocolumn| est active. V{}rifions simplement
que le traitement est le m{}me qu'en une seule
colonne.

Le {\em caption} du tableau
\ref{2`<<:;!?>>'2}
 doit {}tre comme ceci :
{\it ` << essai >> ;  2 cm ! pourquoi pas ? '}

\section{\sloppy Encore \tt\backslash labelsinmargin}

{} nouveau nous utilisons \verb|\labelsinmargin|
\labelsinmargin
pour v{}rifier son fonctionnement dans une figure
et un titre de figure 

\begin{figure}[h]
\label{label de la figure}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe la figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{le titre de la figure avec label
\label{label du titre fig.}}
\end{figure}

M{}me test avec un tableau :
\begin{table}[h]
\label{label du tableau}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{le titre du tableau avec label\label{label du titre tab.}}
\end{table}

\sloppypar{
Retirons d{}finitivement l'option \verb!\nolabelsinmargin!.
}
\nolabelsinmargin

\newpage\english
\NL8
\section{{\tt\backslash labelsinmargin} again}

Again we test \verb|\labelsinmargin|
\labelsinmargin
to verify that it is running within a figure
and in in a figure's caption. 

\begin{figure}[h]
\label{label in a figure}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter the figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{title with a label\label{label in fig. caption}}
\end{figure}

Same test with a table:
\begin{table}[h]
\label{label in a table}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter the table $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{title with a label\label{label in a tab. caption}}
\end{table}

Remove definitely \verb!\nolabelsinmargin!.
\nolabelsinmargin

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french

\section{Notes dans {\tt\backslash caption}}

Si une note dans un tableau doit {}tre imprim{}e {} la fin du
tableau, une note dans un titre de tableau doit {}tre
imprim{}e en fin de page. Malheureusement \LaTeX{} perd
le texte des notes dans les environnements {\tt figure} et 
{\tt table}. L'extension {\tt french} pr{}vient l'utilisateur
que les texte doit {}tre r{}ins{}r{} {} l'aide de \verb|\footnotetext|.

\begin{table}[h]

\SmsG%
\caption[Essai de footnote dans un caption de tableau]
        {L{}gende\protect\footnote{Une note de bas de page.}}
\FmsG%

\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\end{table}
\footnotetext{Une note de bas de page.}

\section{Autre chose ?}
Non !

[espace libre utilisable]

\newpage\english

\section{Notes within {\tt\backslash caption}}

Normally in French we print table's footnotes at the end of the table
but it can't be the case when footnote is called from a caption title.
But unfortunately footnote's text is lost when inside a \LaTeX{} figure
or table environnement, as shown here.
Thus {\tt french.sty} warn the user with the appropriate message, but
in English nothing is done. 

\begin{table}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter the table $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption[footnote try within a table's caption]
        {Caption title\protect\footnote{A footnote page.}}

\end{table}
%\footnotetext{A footnote page.}

\section{Anything else?}

No!

[free space to reuse]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Le 1\protect\fup{er} paragraphe}
Notez bien que le 1\fup{er} paragraphe d'une section 
ne commence jamais au fer {} gauche 
en franais, comme vous le voyez ici.

Le deuxi{}me paragraphe d{}marre comme le premier...\footnote{%
La typographie du titre de section pourrait 
{}tre encore meilleure. {\tt mysmaller.sty} a {}t{} utilis{} 
{} la compilation
de {\tt frenchrf}. Ce serait bien si nous avions un
style {\tt smaller} plus propre et plus d{}finitif.}

\section{Test des listes}

Voici un test d'{}num{}ration (\verb|itemize|) de \LaTeX{} :

\begin{itemize}
\item liste de niveau 1 ;
      \begin{itemize}
      \item incluant un niveau 2,
            \begin{itemize}
            \item mais aussi un niveau 3,
            \item peu utilis{} ;
            \end{itemize}
      \item le niveau 2 se terminant ici ;
      \end{itemize}
\item suite de la liste de niveau 1 ;
\item dernier {}l{}ment de niveau 1.
\end{itemize}

On remarquera les deux choses suivantes : 
\primo les marqueurs sont identiques quel que soit
le niveau et \secundo aucun {}l{}ment ne commence par une majuscule.

\section{D{}finition de langue}

On peut se d{}finir une  langue comme par exemple le kathmandouais par : \\%
\verb|\NouveauLangage[2]|\verb|{kathmandouais}|\\%
\global% for TeX--XeT tests
\def\kathmandouaisTeXmods{\empty}
      \NouveauLangage[2]{kathmandouais} %
et ensuite on peut {}crire kathmandouais en tapant : 
\verb|\kathmandouais|
\SmsG%
\kathmandouais%Message a ignorer si vous n'avez que 2 langues definies.
bla... blabla... bla%
\typeout{I AM WRITING KATMANDOUAIS, Ye\string! (language=\the\language)}%
\FmsG%
\footnote{Mais bien entendu les c{}sures ne seront pas bonnes car elles
seront faites {} partir d'un language existant. On notera la typographie
du num{}ro de cette note saisie en {\em Katmandouais}.}
 et revenir au franais par
\verb|\french|\french.%
\footnote{Si le point qui suit n'est pas accol{} au mot {\tt french}
alors cela signifie que des {\em blank space} tranent dans le style
{\tt french}.}
S'il n'y a  pas  de commande \verb|\kathmandouaisTeXmods| de d{}finie 
rien ne se passera
vraiment, cela sera {}quivalent {} \verb|\relax|, seul un message 
d'avertissement sera {}mis.

\newpage\english
\section{First paragraph}
In English each paragraph is indented except the first one of a section,
subsection, etc. as you can see in this example.

Subsequent paragraphs start indented$\ldots{}$\NL1 

\section{Itemized lists}
Here is the same  french \verb|itemize| list:\NL1 

\begin{itemize}
\item liste de niveau 1;
      \begin{itemize}
      \item incluant un niveau 2,
            \begin{itemize}
            \item mais aussi un niveau 3,
            \item peu utilis{} ;
            \end{itemize}
      \item le niveau 2 se terminant ici ;
      \end{itemize}
\item suite de la liste de niveau 1 ;
\item dernier {}l{}ment de niveau 1.
\end{itemize}

You can compare english and french lists.
Notice firstly that item markers are identical at each level and secondly
that each item never starts with an uppercase letter.

\section{Create a language}
There is a new control sequence to allow {\em the creation} of new language:\\
\verb|\NouveauLangage[n]{language}|\\
This command is in fact used internally but it can be also used elsewhere 
to define a new language which rules will be set by:\\
 \verb|\<language>TeXmods| (if defined.) The internal language number \verb|n|
tells \TeX{} what hyphenation table is to use among those defined at
\verb|INITEX| time.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Utilisation de PSfig}
Quelques jeux de macros doivent parfois {}tre charg{}s 
directement dans le document
et utilisent  les caract{}res {\em actifs\/} du style \verb|french|. Il y
a alors conflit ouvert. Plusieurs solutions sont offertes, soit utiliser
l'ordre : \\
\verb|   \originalinput{fichier}|\\
 soit :
\begin{verbatim}
   \begin{nonfrench}
          ... macros-instructions...
   \end{nonfrench}
\end{verbatim}
Nous avons adopt{} la  deuxi{}me solution ici : 
\\ % sans cette coupure on perd de l'espace vertical !!!!
\tthyphenation
\begin{versatim}
Saluons au passage Trevor Darrell, l'auteur de \verb|psfig| :
 \begin{nonfrench}
   \let\psfig\undefined
   \input mypsfig.sty
   \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
   \end{center}
 \end{nonfrench}
\end{versatim}

Saluons au passage Trevor Darrell, l'auteur de \verb|psfig| :
\begin{nonfrench}
   \let\psfig\undefined
  \input mypsfig.sty
  \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
  \end{center}
\end{nonfrench}
Mais attention n'utilisez pas en franais un code que 
vous auriez charg{} 
en anglais ou r{}ciproquement !

En fait le style \verb|french| est maintenant compatible avec \verb|psfig|.
En voici l'exemple -- sans utiliser \verb|nonfrench| -- avec 
\verb|\psdraft| : 
   \let\psfig\undefined
  \input mypsfig.sty
  \psdraft
  \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
  \end{center}

\newpage\english
\section{Non-french codes}
Codes that were designed for English might bring problems when used with the 
french style because few characters are {\em activated\/}. 
Few solutions are offered:\\\NL1
either \verb|   \originalinput{file}|\\
or:
\begin{verbatim}
   \begin{nonfrench}
          ... macros-instructions...
   \end{nonfrench}
\end{verbatim}
We used here the second solution:
\begin{verbatim}
Saluons au passage Trevor Darrell, 
           l'auteur de \verb|psfig| :
 \begin{nonfrench}
   \let\psfig\undefined
   \input mypsfig.sty
   \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
   \end{center}
 \end{nonfrench}
\end{verbatim}

\notthyphenation
Saluons au passage Trevor Darrell, %
           l'auteur de \verb|psfig| :
%\begin{nonfrench}% inutile d'obtenir un message de warning
   \let\psfig\undefined
  \input mypsfig.sty
  \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
  \end{center}
%\end{nonfrench}
But be carefull, don't use in French a code that was loaded in English
or reciprocally!
\NL1

In fact the french style is now fully compatible with \verb|psfig| while
the french style start acting at the \vers|\|\vers|begin{document}|.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Hauts et bas de page (\minMAJ{oe} et {})}
Les hauts (et aussi les bas) de page sont parfois 
(comme avec le style \verb|book|) mis
en majuscules ({\em uppercase} ou haut de casse).
 Cette op{}ration se fait {} l'aide de l'ordre \TeX{} :\newline
 \verb|\uppercase{...}| qui ne sait que transformer des {\em lettres}
en majuscule mais pas des ordres comme \verb|\|\verb|oe| ou 
\verb|\|\verb|ae| ou \verb|\|\verb|i|.
C'est la raison pour laquelle le style \verb|french| offre l'ordre
\verb|\minMAJ|. Il suffit alors de coder : \verb|\minMAJ{oe}| pour imprimer
{\oe} ici en minuscules et si on le veut en majuscules alors on peut taper
soit \verb|\|\verb|OE| soit : \newline
\verb|\uppercase{\minMAJ{oe}}| et on obtient \uppercase{\minMAJ{oe}}
en majuscules. 
Cette technique permet ainsi de r{}soudre les hauts et bas de page
en \LaTeX{}. V{}rifions que le haut de page, s'il existe, est correct.\NL1

\section{Abr{}viations}
\abbreviations 
Si on demande \verb|\abbreviations| alors on a  
acc{}s {} un fichier d'abr{}\-via\-tions 
typo\-graphi\-ques franaises. 
Ainsi je saisis \verb|"monseigneur"| et j'imprime "monseigneur"\!.
De m{}me, avec ML\TeX{} je saisis \verb|"deuxi{}me"| 
(v{}rifiez dans le
source que ce mot est bien cod{} en 8bits) et j'imprime "deuxi{}me"\!%
. %alors que le fichier d'abr{}viations contient \verb|"deuxi\`|\verb|eme"|.
Ainsi il n'est plus vraiment indispensable de se rappeler que
l'abr{}viation de madame est "madame" (et matre : "matre"\!).

Lorsqu'un mot ne figure pas dans le fichier d'abr{}viations, il est alors 
imprim{} tel que. Ainsi \verb|"GUTenberg"| imprimera 
\SmsG%
"GUTenberg".
\FmsG%
 Mais n'oubliez jamais le double guillemet fermant sinon vous obtiendrez
 un message du genre : 
\begin{versatim}
 Paragraph ended before \AbbrevName was complete.
\end{versatim}
 
Je peux aussi donner mon  fichier personnel d'abr{}viations en codant :\\
\verb|\abreviations[mon_fichier_personnel]|

On retire ces possibilit{}s par la commande \verb|\noabbreviations|.
\noabbreviations 
N'oublions pas que le caract{}re \verb|"|  sert normalement en \TeX{} 
comme en \LaTeX{} {} exprimer les nombres en hexad{}cimal.

\newpage\english
\section[Headings and footings (\minMAJ{oe} and {})]%
        {Headings and footings (\minMAJ{oe} and {})}
Often, styles like \verb|book| uppercase the headings or footings.
But \TeX{} don't know how uppercase macros and so, \verb|\|\verb|oe| or
\verb|\|\verb|ae| or \verb|\|\verb|i| are not uppercased. 
The french style brings
you an useful tool using \verb|\minMAJ{...}|. You write \verb|\minMAJ{oe}| 
and then print \minMAJ{oe} or write 
\verb|\uppercase{\minMAJ{oe}}| and print
\uppercase{\minMAJ{oe}}. This technic solve the problem when printing
headings in \LaTeX{}. Look at the heading -if there is one: you must
find good uppercased letters.\Sauter6Lignes

\section{Abbreviations}
The abbreviation facility offered in the french style is based on
an abbreviations file. When requested by \verb|\abbreviations| one
may call any \verb|"abbreviation"|. If this abbreviation is found in the
file it will be replaced by the typographic expansion, if not it will
be printed as is.\NL2

But never forget the ending double quotes otherwise you will obtain the
terrible message:
{\tt Paragraph} {\tt ended before} {\tt\backslash AbbrevName} 
{\tt was complete.}
\NL4

You can have you own abbreviations file by calling:
\verb|\abreviations[my_file]|.\NL1

Saying \verb|\noabbreviations| this facility is lost. Remember that the
char \verb|"| is used normally in \TeX{} as in \LaTeX{} to start an
hexadecimal number.

But used in English, \verb|"monsieur"| will give "monsieur".

\newpage\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Autres macros utiles}
\verb|\fsc{KnUtH}| permet d'imprimer \fsc{KnUtH} et \verb|\lsc{SnCf}| 
donne \lsc{SnCf}. Cela doit aussi marcher si le mot commence par une
accentuation comme ici avec le mot \fsc{\'% a laisser tq a cause du 7bits
epinal} et m{}me quand cette accentuation est plus loin dans
le mot comme ici dans \fsc{ANDR\'% a laisser tq a cause du 7bits
E}.

\bigskip
Voici une note%
\footnote{La note.\label{NOTE}}
de bas de page command{}e par \verb|\footnote{La note.\label{NOTE}}|.
Je peux faire {} nouveau appel {} cette note\refmark{NOTE} 
 par l'ordre \verb|\refmark{NOTE}|.

\bigskip
Par analogie avec l'environnement \verb|verse| :
\begin{verse}
%\moretolerance % pour eviter un leger overfull hbox
1\iere{} ligne : cette ligne est bien trop longue, elle doit {}tre coup{}e autant de fois que n{}cessaire...\\
2\ieme{} ligne : le test terrible de...\\%
3\ieme{} ligne : `ceci est le test des quotes'\\
\end{verse}
\tthyphenation
voici le m{}me test (sans \verb|\\|)
avec l'environnement \vers|versatim| qui est 
un environnement \vers|verba|\-\vers|tim| compos{} 
avec des coupures de lignes
comme l'est l'environnement \verb|verse| et dont les {\em quotes} peuvent
{}tre imprim{}es avec des accents si on pr{}cise 
\vers|\noenglishquote| :
\noenglishquote
\begin{versatim}
1\iere{} ligne : cette ligne est bien trop longue,  elle doit {}tre coup{}e autant de fois que n{}cessaire...
2\ieme{} ligne : le test terrible de \end{document} 
3\ieme{} ligne : `ceci est le test des quotes'
\end{versatim}
\englishquote

\allowuchyph
Et maintenant voici l'ordre r{}duit \verb|\vers| qui 
s'utilise comme \verb|\verb| et doit permettre de couper une
longue chane de caract{}res {\tt ver\-batim}. Celle-ci
sera coup{}e par d{}faut entre les mots (\vers|\notthyphenation|)
mais pourra l'{}tre {} l'int{}rieur des mots si on pr{}cise 
{\tt\backslash tthyphenation} comme ici : <<
\vers|Longue Chane De Caract{}res {} Couper Absolument| >>.
Les mots commenant en majuscule ne pourront {}tre coup{}s
que si \vers|\uchyph=1|, valeur par d{}faut dans le style
\verb|french| (\vers|\|\vers|allow|\-\vers|uchyph|) et utilis{}e pour cette
partie uniquement.

\subsection*{Test de {\mdseries\tt\backslash fsc} 
({\mdseries\fsc{French CAPS}})}
Ce paragraphe teste la protection de certaines macro-instructions.

\disallowuchyph\notthyphenation
\newpage\english
\section{Other useful macros}
French patronymic names are printed in small capitals with the first
letter in uppercase. That is done with the \verb|\fsc| macro.
Another macro \verb|\lsc| is available to print all the word(s) in small
capitals, specially usefull for trademark or companies names.

\LaTeX{} is at the present time unable to print a \verb|\ref| as
a footnotemark, the command \verb|\refmark| is able to do that.

Also, \LaTeX{} doesn't offer any {\tt verbatim} style able to
hyphenate lines. The french style is able to do this with the
environment {\tt versatim} or the {\tt\backslash vers} order within a
line.

These environments allow to replace the {\tt tt} quoting
({\tt ` '}) by more realistic ones ({\tt\`{ } \'{ }}) with
the order {\tt\backslash noenglishquote}. Of course this environment
produce nothing different from the standard \verb|verbatim| when 
used in \verb|\english|:
{\overfullrule=5pt

\hfuzz=30pt
\begin{versatim}
1\iere{} ligne : cette ligne est bien trop
2\ieme{} ligne : le test terrible de...
3\ieme{} ligne : `ceci est le test des...
\end{versatim}

\SmsG%

And now this a test of a long string within a \verb|\vers|: 
``\vers|Longue Chane De Caract{}res {} Couper A|
This string would be hyphenated only if someone said
\verb|\tthyphenation| previously.
}

\FmsG%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{accents et {\mdseries\tt tabbing}}
Le style \vers|french| propose une solution pour pouvoir introduire
des lettres accentu{}es dans un environnement \vers|tabbing| lorsque
le source \TeX{} est en 7bits ou utilise Ml\TeX{} ; 
il suffit pour cela de taper
\vers|\|\vers|tabbing|\-\vers|accents|\tabbingaccents. Voici un exemple :
\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>   \`%
                   a outils     \> rustique \\
Toile :     \>   \a`%
                   a matelas    \> confort  
\end{tabbing}
\notabbingaccents

Il doit s'imprimer ainsi :
\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>\a`a outils     \> rustique \\
Toile :     \>\a`a matelas    \> confort  \\
\end{tabbing}
Nous l'avions saisi comme suit :
\begin{versatim}
\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>   \`%
                   a outils     \> rustique \\
Toile :     \>   \a`%
                   a matelas    \> confort  
\end{tabbing}
\end{versatim}

\section{Figurettes}
Le style \verb|french| propose un environnement sp{}cial, appel{} 
\verb|figurette|,
 pour placer les figures {} l'enfroit exact o{} 
ces figures se pr{}sentent
dans le texte. Cela est particuli{}rement utile pour des petites figures,
domaine o{} \LaTeX{} n'est pas adapt{} en standard. 
Pour r{}aliser ceci :
  \begin{figurette}
        \center\fbox{essai}\endcenter% rajoute pour plain TeX
  \caption{Ceci est une figurette}
                 \label{figurette}
  \end{figurette}
Nous avons {}crit :
\begin{verbatim}
  \begin{figurette}
        \center\fbox{essai}
  \caption{Ceci est une figurette}
                 \label{figurette}
  \end{figurette}
\end{verbatim}

\newpage\english
\section{Diacritics \& {\mdseries\tt tabbing}}
There is no way in \LaTeX{} to put diacritics on letters
as we use them usually. Here is how is printed the {\tt tabbing}
you can find in the french part:

\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>   \`%
                   a outils     \> rustique \\
Toile :     \>   \a`%
                   a matelas    \> confort  
\end{tabbing}

and that would normally be printed as follows:

\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>\a`a outils     \> rustique \\
Toile :     \>\a`a matelas    \> confort  \\
\end{tabbing}

  \begin{figurette}
        \center\fbox{essai}\endcenter% rajoute pour plain TeX
  \caption{Originally a figurette}
        \label{engfig}
  \end{figurette}
\NL{7}

\section{Little figures}

The  \verb|french| style offer a special environment called
\verb|figurette| which allows to put little figures EXACTLY
where they appear in the text. This is a lack in the present
versions of \LaTeX{}. In English the environment \verb|figurette|
is replaced by an environment \verb|figure[h]|; look at figure
\ref{engfig} we tried to put here without success and we
typed like this:

\begin{verbatim}
  \begin{figurette}
        \center\fbox{essai}
  \caption{Originally a figurette}
        \label{engfig}
  \end{figurette}
\end{verbatim}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Lettrines}
\SmsG% lettrine reduite a 1 seule lettre !
Voici le test des lettrines propos{}es avec le style
\verb|french| en \LaTeX{} uniquemement :

\verb|                    \lettrine{Paris}|
\flettrine{Quoi ?} {Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

<< Ici d{}marre une lettrine dans une citation.

\lettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

\flettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

et la citation se termine ici. >>

\verb|     \font\lettrinefont=cmr17 scaled|\\
{\font\lettrinefont=cmr17 scaled \magstep5
\verb|   \magstep5\lettrine[`` {Paris} '']|
\lettrine[`` {Paris} '']
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.\par}

\verb|            \lettrine[<< {Paris} >>]|
\lettrine[<< {Paris} >>]
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

\verb|             \flettrine[<< {Paris} ]|
\flettrine[<< {Paris} ] 
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s. >>

\tthyphenation\noindent
\vers|\|\vers|font\lettrinefont=cmti12 scaled| \!\vers| \magstep4\lettrine|
{\em \% v{}rification d'italique.}
\font\lettrinefont=cmti12 scaled \magstep4\lettrine
Blalbla {\bf je blablate},  tu blablates,  ils blablatent, b... 
(ceci est l'exemple m{}me de ce qu'il ne faut pas faire car ainsi
le mot n'est pas mis en petites capitales). Ceci avait pour but
de tester une police italique.

\lettrine{L'absurdit{}} de cette lettrine...

\notthyphenation
\FmsG

\newpage\english

\section{Illuminated letters}
%The French style allows to start a paragraph in an illuminated
%way, l
Look at the French part of this document because, in English,
these macros have no effect:

%Voici le test des lettrines propos{}es avec le style
%\verb|french| en \LaTeX{} uniquemement :

\verb|                    \lettrine{Paris}|
\flettrine{Quoi ?} {Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

<< Ici d{}marre une lettrine dans une citation.

\lettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

\flettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

et la citation se termine ici. >>

\verb|     \font\lettrinefont=cmr17 scaled|\\
{\font\lettrinefont=cmr17 scaled \magstep5
\verb|   \magstep5\lettrine[`` {Paris} '']|
\lettrine[`` {Paris} '']
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.\par}

\verb|            \lettrine[<< {Paris} >>]|
\lettrine[<< {Paris} >>]
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s.

\verb|             \flettrine[<< {Paris} ]|
\flettrine[<< {Paris} ] 
{sera toujours Paris}.  Ceci est une lettrine obtenue
gr{}ce au coll{}gue allemand E.~{\sc Scha\-lck} et
 aux diff{}rents codes qu'il
m'a donn{}s. >>

\noindent
\verb|\font\lettrinefont=cmti12 scaled| \verb| \magstep4\lettrine|
%{\em \% v{}rification d'italique.}
\font\lettrinefont=cmti12 scaled \magstep4\lettrine
Blalbla {\bf je blablate},  tu blablates, ils blablatent, b... 
(ceci est l'exemple m{}me de ce qu'il ne faut pas faire car ainsi
le mot n'est pas mis en petites capitales). Ceci avait pour but
de tester une police italique.

\lettrine{L'absurdit{}} de cette lettrine...

\onecolumn\newpage%
\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  ===>>>> Il n'y a plus d'anglais au del{} de cette limite <<<<===
\def\lastlinein#1{\expandafter\gdef\csname #1\endcsname{\relax}}
\lastlinein{english}% this is for frencht.tex
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Lettrines automatiques ou non}

\lettrine{THIS} IS A TEST (a non-automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.
                   
\flettrine{THIS} IS A TEST (a non-automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\automaticlettrine
\lettrine{THIS} IS A TEST (a default automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\flettrine{THIS} IS A TEST (a default automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.


\def\lettrinefontname{cmr17}
\lettrine{THIS} IS A TEST (a cmr17 automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\flettrine{THIS} IS A TEST (a cmr17 automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\lettrine{Que vaut ce test ?} (en automatique)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\noautomaticlettrine
\lettrine{THIS} IS A TEST (a non-automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.
                   
\lettrine{Que vaut ce test ?} (non-automatique)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
\expandafter\ifx\csname frenchTeXmods\endcsname\relax
            \space% ce test ne marche pas en LaTeX standard.
\else
     \ifx\frenchTeXmods\empty\space% ni en dummy french !
     \else
\section{Tests aux limites en environnement \mdseries{\tt french}}

V{}rifions qu'il est possible d'activer temporairement
quelques caract{}res sans perturber le traitement. Exemple :

\begin{verbatim}
{\catcode`\'=\active\catcode`\'=\active
 `` Test guillemets anglais ''
}
\end{verbatim}

{\catcode`\'=\active\catcode`\'=\active
 `` Test guillemets anglais ''
}
     \fi
\fi

Un cas bien sp{}cial avait {}t{} rencontr{} avec l'extension \myverb|amstex|
qui utilisait une r{}f{}rence avec de math{}matiques dans une autre 
r{}f{}rence, ce qui entrainait une boucle infinie avec \myverb|french|. Voici 
le test en question : 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% this code generates a loop with versions of french < V3,42 %%%%%%
\makeatletter
\def\r@ref{{\ref{nulllabel}$'$}}{1}
\makeatother
\ref{ref}=1 $'$ % boucle garantie si < V3,42
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Autre test aux limites ?

\section{{}num{}rations : le prototype << order >>}
L'espacement des {}num{}rations franaises doit {}tre
 profond{}ment modifi{}.
Un prototype exp{}rimental est propos{}, il s'agit de l'environnement
\verb|order| pour \LaTeX{} uniquement dont voici un petit exemple :

\begin{order}
\item Bien regarder ;
\item l'espacement de chaque {}l{}ment est sp{}cial ;
\item l'espacement vertical est aussi diff{}rent.
\item A-D-O-P-T-E-Z \ \ L-E !
\end{order}

Ce prototype correspond-il bien aux {}num{}rations 
franaises ? (je ne
parle pas des marqueurs -- primo, secundo, etc. -- mais de la gestion
des espaces).

Les guillemets entrent aussi en ligne de compte : << Je citerai
3 cas tr{}s importants :
\begin{order}
\item le premier cas ;
\item le second ;
\item le dernier.
\end{order}
qui sont [...] >>

Ce m{}canisme marche aussi avec l'environnement \verb|itemize|.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
\section{<< Autres tests >>}
Nous sommes ici en une colonne.

\bigskip
Voici un test d'encadr{} contenant le mode \verb|centering| : 
\begin{center}\fbox{%
\parbox{5cm}{\begin{center}Information : si vous voulez  me joindre,
mon t{}l.  : 69 35 85 40. Je n'y suis qu'aux horaires de
bureau.\end{center}}%
     }\end{center}

Bon ?\footnote{L'objet de cette note de bas de page est d'imprimer 
\primo du {\tt\backslash tt} contenant des inf{}rieurs et sup{}rieurs : 
{\tt XXXX> <===en \backslash tt} pour constater qu'il manque
{\em naturellement\/} un espace entre \myverb|>| et \myverb|<|
alors que  \secundo cela est parfait avec du {\tt verbatim} comme ici : 
\myverb|french V2 < french V3 > frenchOLD|% 
.}

\begin{table*}[h]
\caption{Dactylographie et typographie compar{}es}
\label{frenchdactylo}
\vspace*{1cm}
\huge
\begin{tabular}{|r|r|}
\hline
dactylographie\ \ \ \ \hfill & \ \ \ typographie\ \ \ \hfill\\
\hline
    \verb|use \dots or \ldots| \ & use \dots\ or $\ldots{}$\ \\
        \verb|utilisez...|     \           & utilisez...\  \\
        \verb|semi-colon;|     \           &  semi-colon;\ \\
        \verb|point-virgule ;| \           & point-virgule ;\  \\
        \verb|My god!|         \           & My god!\ \\
        \verb|Mon dieu !|      \           & Mon Dieu !\ \\
        \verb|Why not?|        \           & Why not?\ \\
        \verb|Pourquoi pas ?|  \           & Pourquoi pas ?\ \\
        \verb|``I say''|       \           & ``I say''\ \\
        \verb|<< Je dis >>|    \           & << Je dis >>\ \\
        \verb|He said: Yes|    \           & He said: Yes\ \\
        \verb|Il dit : non|    \           & Il dit : non\ \\
\hline
\end{tabular}
\normalsize
\end{table*}

\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% C'est deja en 2.7.2
%\subsection{Guillemets dans les hauts de page}
%Nous avions saisi :
%\begin{verbatim}
%\section{<< Autres tests >>}
%\end{verbatim}
%Le haut de page --~s'il existe~-- est-il correct ?

\subsection{{\mdseries\tt <{}} et {\mdseries\tt >{}} red{}finis}

Mes utilisateurs sont terribles ! Ils veulent le beurre, l'argent du
beurre et aussi la fermi{}re... S'ils codent 
\verb9\def\truc<#1|#2>{/#1 OU #2/}9
 ils veulent pouvoir obtenir
/Essai OU Erreur/ en saisissant \verb9\truc<Essai|Erreur>9. Faisons
l'essai r{}el :
{\def\truc<#1|#2>{/#1 OU #2/} \truc<Essai|Erreur>}

Encore plus fort : nous voulons avoir une notation de Backus-Naur 
c'est-{}-dire des \verb|\rangle| et \verb|\langle|. Voici la 
d{}finition que nous avons entr{}e avant le \verb|\begin{document}| :
\begin{verbatim}
{\catcode`\<=\active\catcode`\>=\active%
\global\def<{\left\langle}\global\def>{\right\rangle}
}
\end{verbatim}

Pour tester l'efficacit{} de ces macros il suffit alors de faire
par exemple :
\begin{verbatim}
<< $<assignement>$ >>
\end{verbatim}
{} condition que l'option \verb|\frenchguillemets| soit
active (en maths).

Essayons cela : 
% en fait il faut reactiver cela maintenant :
{%
 \gdef\myinf{\left\langle}%
 \gdef\mysup{\right\rangle}%
<< $\frenchguillemets% on a \nofrenchguillemets avec AmSTeX
   <assignement>$ >>
}%

\subsection{{\mdseries\tt\backslash special}}
L'inclusion d'une commande \verb|\special| est ici test{}e :\\
{%%%%%%%%%%%% attention : commentaires impossible dans cette partie.
 \catcode`\%=12
 {\tt\backslash special}\verb|{ps:|{\tt %%%
                                     }\verb| Texte bidon {`<<manuel:C;!?>>'}}|
 \special{ps:%%% 
                 Texte bidon {`<<manuel:C;!?>>'}}
}

\subsection{Bibliographie}
Voyons maintenant la bibliographie.
Dans \cite{`<<manuel:Gaulle;!?>>'} on trouvera...
\nocite{`<<merci:Ronan;!?>>'} 
Par contre  \cite[pp.1--3, X \& consorts]{<<blabla>>} est beaucoup plus fourni
en exemples et commentaires... Mais dans 
\cite[p. 25 \S~13 {{\it et seq.}}]{`<<torture:Gaulle;!?>>'} toutes ces informations
sont plus d{}taill{}es.

Ce qui suit n'est pas un exemple de belle bibliographie, juste une
v{}rification de bon fonctionnement.

\bibliographystyle{plain}
\begin{thebibliography}{Knuth 99}
\bibitem[Knuth 99]{<<blabla>>} Le \TeX book ou la  <<  bible >> 
des gourous \TeX
\bibitem{`<<manuel:Gaulle;!?>>'} B. {\sc Gaulle}, {\em 
Le r{}sultat d'une << {\em dure} >> journ{}e de travail !}
\bibitem{`<<merci:Ronan;!?>>'} R. {\sc Keryell}, {\em 
Le gentil normalien qui m'a beaucoup aid{} gr{}ce {} sa th{}se...}
\bibitem{`<<torture:Gaulle;!?>>'} B. {\sc Gaulle}, {\em 
Notice d'utilisation du style french}, 1991.
\end{thebibliography}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\listoffigures
\listoftables
\glossary{Faon cordon bleu}
\glossaires
\section*{Glossaire des mots techniques}
\printglossary[\jobname.glo]

\noindent -- magnification

\noindent -- caract{}res sp{}ciaux : \NL1

{\huge%\frenchmacros n'est pas utile ici
\begin{tabular}{|c|c|}
\hline
Pour imprimer ceci & Saisir cela\\ \hline
\at                & \verb|\at|\\ \hline
{\tt\vert}         & \verb|\tt\vert|\\ \hline
\tilde             & \verb|\tilde|\\ \hline
{\tt\backslash}    & \verb|\tt\backslash|\\ \hline
\chap              & \verb|\chap|\\ \hline
\degre             & \verb|\degre| \\ \hline
\degres            & \verb|\degres| \\ \hline
\normalsize
1\ier{} {}tage        & \verb|1\ier{} {}tage| \\ \hline
\normalsize
(2\ieme\!)         & \verb|(2\ieme\!)| \\ \hline
\primo             & \verb|\primo|\\ \hline
\secundo)          & \verb|\secundo)|\\ 
\hline
\end{tabular}
} \NL1

On notera que le caract{}re \verb|\degre| n'est pas le signe typographique
usuellement utilis{} pour exprimer 
des degr{}s mais que \verb|\degres| est
plus conforme {} la tradition. On remarque bien les diff{}rences entre
\verb|\primo| et \verb|\secundo)| 
(la forme parenth{}s{}e n'est pas valable
en {\em belle} typographie franaise).
\primo... \secundo... \tertio... \quatro...
\primo)... \secundo)... \tertio)... \quatro)...

\section*{Glossaire argotique}
Le pied

\printindex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\part{Ce qui ne marche pas (bien)...}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\chapter{Probl{}mes {} r{}soudre}

Cette partie ne comporte que des << anomalies >> que l'auteur esp{}re
r{}soudre d'ici quelques temps, 
gr{}ce {} votre aide... peut {}tre ?

\section{Le << 2 points >>}
Le << 2 points >> a une f{}cheuse tendance 
{} rester en bas de page lorsqu'il est
suivi d'un {\tt verbatim}. Il serait souhaitable d'en trouver la raison.

\section{Les guillemets}

Le probl{}me avec \verb|quotation| page \pageref{quotation}.

Et la perte d'informations
dans le cas de  \verb|\noeveryparguillemets| lorsque l'on d{}marre
une citation dans un paragraphe d{}j{} commenc{}.

Vraiment tr{}s {\em fragile} ce \verb|\noeveryparguillemets| ! (Notes
de bas de page ou en marge produisent des d{}sastres).

Il faudrait {}tudier le curieux espacement 
rencontr{} en \vers|plain| \TeX{}
page \pageref{etiord}.

\section{{\mdseries\tt\backslash small}}
\verb|\small| ne marche {}videment pas dans toutes les situations de tailles
de caract{}res, il faudra donc trouver LA bonne solution pour les macros
fournies avec \verb|\frenchmacros|. Il existe bien le style \verb|smaller|
mais c'est du... bricolage.

\section{Abr{}viations}
Les abr{}viations sont enregistr{}es dans le fichier telles qu'elles
apparaissent dans le lexique. Or certaines abr{}viations commencent
par une majuscule. Il faut donc que la personne saisisse le mot
avec une majuscule. En cas d'erreur le style ne trouvera pas
l'abr{}viation : c'est absurde.

\section{Le cas des styles mal {}crits...}

... ne se r{}soud souvent que par la modification du style en question.
Cela a {}t{} le cas de nombreux styles depuis le d{}but du style
\verb|french|. Certains cas sont inssolubles, par exemple : 
le style \verb|here.sty| 
red{}finissait << au vol >> 
l'ordre \LaTeX{} \verb|\table| au lieu
de modifier l'existant ; cela posait un r{}el probl{}me {} \verb|french|
qui se base sur la modification d'une commande \verb|\table|
existante. Heureusement ce style p{}rim{} peut {}tre remplac{}
aventageusement par \verb|float|.

%Il parait que le point d'exclamation << actif >> du \verb|french|
%pose un probl{}me dans l'environnement \LaTeX2$\varepsilon$.

\chapter{Am{}liorations {} envisager}

\section{Index et bibliographie}
Deux th{}mes qui n'ont que tr{}s peu {}t{} abord{}s.

\section{Abr{}viations}
Il est f{}cheux d'avoir {} connatre quelles sont les mots
abr{}geables pour pouvoir demander leur abr{}viation ; autant les saisir
correctement d{}s le d{}but...

Faut-il arr{}ter \TeX{} quand une abr{}viation 
n'est pas trouv{}e et offrir
la possibilit{} de lister toutes les abr{}viations ?

\annexes
\hsize=18cm

\chapter{Copyright}
\listing{Copyright}

\chapter{Le fichier \mdseries{\tt language.dat}}
\listing{language.dat}

\chapter{Le fichier \mdseries{\tt frabbrev.tex}}
\listing{frabbrev.tex}

\chapter{Le fichier \mdseries{\tt french.dmy}}
\listing{french.dmy}

\chapter{Le fichier \mdseries{\tt french.chk}}
\listing{french.chk}

\chapter{Un style english (\mdseries{\tt fenglish.doc})}
\listing{fenglish.doc}

\chapter{Le code de l'option \mdseries{\tt french}}

\listing{french.doc}

\newpage
\hsize=15cm
\tableofcontents
\english %=\relax if english text (see \lastlinein)
\endinput
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
