% README of the french style distribution (tst sub-directory)          07/03/96
%                           Copyright GUTenberg-Bernard Gaulle as in french.doc
%

This material was designed to help (La)TeX users to test the french style
files installation. 

The files in this directory, as distributed by his author, are as follows:
%%>============================================================================
total 598
-rw-r--r--  1 gaulle       4219 Jan 24 09:24 README.tst
-rw-r--r--  1 gaulle       2857 Dec  6 14:56 babellb.tex
-rw-r--r--  1 gaulle      94342 Feb  4 11:28 french.tst
-rw-------  1 gaulle       1689 Feb  4 11:31 frenchab.tex
-rw-------  1 gaulle        436 Feb  4 11:31 frenchla.tex
-rw-r--r--  1 gaulle        161 Feb  4 11:13 frenchlb.gls
-rw-------  1 gaulle        577 Feb  4 11:13 frenchlb.ind
-rw-r--r--  1 gaulle       2486 Dec 31 09:13 frenchlb.tex
-rw-------  1 gaulle       3236 Feb  4 11:31 frenchll.tex
-rw-------  1 gaulle        939 Feb  4 11:31 frenchlm.tex
-rw-------  1 gaulle       1291 Feb  4 11:31 frenchln.tex
-rw-------  1 gaulle        433 Feb  4 11:31 frenchlr.tex
-rw-------  1 gaulle     359176 Feb  4 11:15 frenchrf.dvi
-rw-------  1 gaulle       9861 Feb  4 11:31 frencht.tex
-rw-------  1 gaulle        778 Feb  4 11:31 kbto.tex
-rw-r--r--  1 gaulle      18208 Mar 22  1995 mya4.sty
-rw-r--r--  1 gaulle      40676 Nov  4  1991 myfigure.ps
-rw-r--r--  1 gaulle       2214 Nov 24  1993 mygglo.ist
-rw-------  1 gaulle       3239 Feb  4 11:31 mylist.sty
-rw-r--r--  1 gaulle      37062 Dec 12  1994 mypsfig.sty
-rw-r--r--  1 gaulle       5486 Dec 12  1994 mysmall.sty
-rw-------  1 gaulle       1515 Feb  4 11:31 nofrench.tex
%%<============================================================================
Quick description of contents:

README.test   : the file you are reading.

french.tst    : this file has to be converted to 8-bit; this is
                the bi-lingual torture test basic file used to compose the
                following documents:
frenchlb.tex  : a french LaTeX book (to be compared at printing level
                                      with frenchrf.dvi),
babellb.tex   : the same, but french loaded by Babel
frenchab.tex  : the same with AmsLaTeX.
frenchlm.tex  : the same, loading the french style after  \documentstyle.
frenchln.tex  : the same, loading the french style before \documentstyle.
                          and testing the "poor man french style" option.
frenchlr.tex  : a french LaTeX report
frenchla.tex  : a french LaTeX article
frenchll.tex  : a french LaTeX letter (just a test)
frencht.tex   : a french TeX document
nofrench.tex  : to test that french.dmy is running ok

The previous files require:
myfigure.ps   : an EPS face (not mine) 
mygglo.ist    : the file is use with Makeindex to produce my glossary
mylist.sty    : a verbatim style
mypsfig.tex   : a version of psfig
mysmall.sty   : only given for fun and any help...
frenchlb.ind  : for those who don't have makeindex, this is the index produced.
frenchlb.gls  : for those who don't have makeindex, this is the glossary too.

For comparison after installation:
frenchrf.dvi  : the Torture test (frenchlb) document composed by the author.
                (The program makeindex was used to produce the index 
                 i.e. the .ind file and the glossary i.e. the .gls file)
frenchrf.log  : the log file produced by LaTeX when running on frenchlb.

For kb7to8 and kb8to7 testing:
kbto.tex      : a sample binary test file to adapt to your own keyboard.

Your "TO DO" list:
=================

1- (I hope you have already generated kb7to8 and kb8to7)
   Convert the file french.tst to 8-bit.
   Adapt kbto.tex to your keyboard and apply kb7to8 and kb8to7 on it. Check
   the outputs.
2- Ensure your TEXINPUT path pointing to the inputs directory first. 
   For LaTeX users: LaTeX frenchlb.tex 
   For TeX users:     TeX frencht.tex
3- Print the first 45 pages of frenchlb.dvi.
4- Print the first 45 pages of frenchrf.dvi and then compare the outputs
   (and compare also the .log files).
5- Go back to the main directory.

Optional tests are provided, look at the files.
==============================================================================
