@echo off
REM 
REM    Parameters passed from dvips to this maketexpk.bat are
REM 
REM         %1 = font_name
REM         %2 = dpi
REM         %3 = base_dpi
REM         %4 = magnification
REM         %5 = [mode]
REM 
REM    `mode', if given in config.ps, is passed.

set PK_MAG=%4
set PK_DEV=

if %3==180      goto LQLORES
if %3==300      goto CANONCX
if %3==360      goto LQHIRES
if %3==400      goto NEXTHI
if %3==600      goto LJIV
if %3==???      goto PERSONNEL
goto UNKNOWN

rem 180x180
:LQLORES
set PK_DEV=EpsonLQFiveZeroZeroMed
set PK_SUB_BASE=cx
goto DO_IT

rem 300x300
:CANONCX
set PK_DEV=CanonCX
set PK_SUB_BASE=cx
goto DO_IT

rem 360x360
:LQHIRES
set PK_DEV=NeChi
set PK_SUB_BASE=cx
goto DO_IT

rem 400x400
:NEXTHI
set PK_DEV=Newgen
set PK_SUB_BASE=cx
goto DO_IT

rem 600x600
:LJIV
set PK_DEV=CanonEX
set PK_SUB_BASE=cx
goto DO_IT

rem ???x???
:PERSONNEL
set PK_DEV=__mode_de_mon_imprimante_
set PK_SUB_BASE=cx
goto DO_IT

rem *******************************************************

:DO_IT

set MF=%GUTBS%\bin\mf

set PK_BASE=%GUTBS%\fonts\pk
set PK_DIR=%PK_BASE%\%PK_SUB_BASE%\%2

set TFM_BASE=%GUTBS%\fonts
set TFM_DIR=%TFM_BASE%\tfm

:: Windows for Workgroup 3.11 DOS box bug:
::    \<path>\null exists even if <path> does not exist.
:: (This is not true in the true DOS.)
:: So we cannot test existence of directories in
:: Windows for Wordgroup 3.11 DOS box...
:: if not exist %PK_BASE%\nul md %PK_BASE%
:: if not exist %PK_BASE%\%PK_SUB_BASE%\nul md %PK_BASE%\%PK_SUB_BASE%
:: if not exist %PK_DIR%\nul md %PK_DIR%
:: if not exist %TFM_BASE%\nul md %TFM_BASE%
:: if not exist %TFM_DIR%\nul md %TFM_DIR%
md %PK_BASE%
md %PK_BASE%\%PK_SUB_BASE%
md %PK_DIR%
md %TFM_BASE%
md %TFM_DIR%

echo on
%MF% &plain \scrollmode;mode:=%PK_DEV%;mag:=%PK_MAG%;input %1
copy %1.tfm %TFM_DIR% > NUL 
@echo off
rem if errorlevel 1 goto ERROR_EXIT

:CONTINUE
echo on
rem %GUTBS%\bin\gftopk %GUTBS%\%1.%2  %PK_DIR%\%1.pk
%GUTBS%\bin\gftopk %1.%2  %PK_DIR%\%1.pk    
@echo off

del %1.%2 > NUL
del %1.log > NUL
del %1.tfm > NUL

goto GETOUT

:UNKNOWN
echo I don't know the metafont mode for this device. Please
echo add this information to the file %0

:ERROR_EXIT
pause

:GETOUT

